| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::utility::iconhash Struct Reference

Store a 128 bit icon hash (profile picture, server icon etc) as a 128 bit binary value made of two uint64_t. Has a constructor to build one from a string, and a method to fetch the value back in string form. More...

`#include <utility.h>`

Collaboration diagram for dpp::utility::iconhash:
[legend]

## Public Member Functions

| iconhash (const std::string &hash)
| Construct a new iconhash object.
| iconhash (uint64_t _first=0, uint64_t _second=0) noexcept
| Construct a new iconhash object.
iconhash & | operator= (const std::string &assignment)
| Assign from std::string.
bool | operator== (const iconhash &other) const noexcept
| Check if one iconhash is equal to another.
void | set (const std::string &hash)
| Change value of iconhash object.
std::string | to_string () const
| Convert iconhash back to 32 character string value.

## Public Attributes

uint64_t | first
| High 64 bits.
uint64_t | second
| Low 64 bits.

## Detailed Description

Store a 128 bit icon hash (profile picture, server icon etc) as a 128 bit binary value made of two uint64_t. Has a constructor to build one from a string, and a method to fetch the value back in string form.

## Constructor & Destructor Documentation

## ◆ iconhash() [1/2]

dpp::utility::iconhash::iconhash | ( | uint64_t | _first = 0,
|  | uint64_t | _second = 0 )

noexcept

Construct a new iconhash object.

Parameters

  _first | Leftmost portion of the hash value
  _second | Rightmost portion of the hash value

## ◆ iconhash() [2/2]

dpp::utility::iconhash::iconhash | ( | const std::string & | hash | ) |

Construct a new iconhash object.

Parameters

  hash | String hash to construct from. Must contain a 32 character hex string.

Exceptions

  std::length_error | if the provided string is not exactly 32 characters long.

## Member Function Documentation

## ◆ operator=()

iconhash & dpp::utility::iconhash::operator= | ( | const std::string & | assignment | ) |

Assign from std::string.

Parameters

  assignment | string to assign from.

Exceptions

  std::length_error | if the provided string is not exactly 32 characters long.

## ◆ operator==()

bool dpp::utility::iconhash::operator== | ( | const iconhash & | other | ) | const

noexcept

Check if one iconhash is equal to another.

Parameters

  other | other iconhash to compare

Returns
  True if the iconhash objects match

## ◆ set()

void dpp::utility::iconhash::set | ( | const std::string & | hash | ) |

Change value of iconhash object.

Parameters

  hash | String hash to change to. Must contain a 32 character hex string.

Exceptions

  std::length_error | if the provided string is not exactly 32 characters long.

## ◆ to_string()

std::string dpp::utility::iconhash::to_string | ( |  | ) | const

Convert iconhash back to 32 character string value.

Returns
  std::string Hash value

## Member Data Documentation

## ◆ first

uint64_t dpp::utility::iconhash::first

High 64 bits.

## ◆ second

uint64_t dpp::utility::iconhash::second

Low 64 bits.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0